DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Private Attributes | List of all members
DPMParametricMapImageModule Class Reference

Class representing the Parametric Map Image Module: More...

Inheritance diagram for DPMParametricMapImageModule:

## Public Member Functions
| DPMParametricMapImageModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| DPMParametricMapImageModule ()
| Constructor.
virtual | ~DPMParametricMapImageModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("DPMParametricMapImageModule") More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | getImageType (OFString &value, const signed long pos=0) const
| Get Image Type. More...
virtual OFCondition | getSamplesPerPixel (Uint16 &value, const signed long pos=0) const
| Get Samples Per Pixel. More...
virtual OFCondition | getPhotometricInterpretation (OFString &value, const signed long pos=0) const
| Get Photometric Interpretation. More...
virtual OFCondition | getBitsAllocated (Uint16 &value, const signed long pos=0) const
| Get Bits Allocated. More...
virtual OFCondition | getBitsStored (Uint16 &value, const signed long pos=0) const
| Get Bits Stored. More...
virtual OFCondition | getHighBit (Uint16 &value, const signed long pos=0) const
| Get High Bit. More...
virtual OFCondition | getPresentationLUTShape (OFString &value, const signed long pos=0) const
| Get Presentation LUT Shape. More...
virtual OFCondition | getLossyImageCompression (OFString &value, const signed long pos=0) const
| Get Lossy Image Compression. More...
virtual OFCondition | getLossyImageCompressionRatio (OFString &value, const signed long pos=0) const
| Get Lossy Image Compression Ratio. More...
virtual OFCondition | getLossyImageCompressionMethod (OFString &value, const signed long pos=0) const
| Get Lossy Image Compression Method. More...
virtual OFCondition | getBurnedInAnnotation (OFString &value, const signed long pos=0) const
| Get Burned In Annotation. More...
virtual OFCondition | getRecognizableVisualFeatures (OFString &value, const signed long pos=0) const
| Get Recognizable Visual Features. More...
virtual OFCondition | getContentQualification (OFString &value, const signed long pos=0) const
| Get Content Qualification. More...
virtual OFCondition | setImageType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Image Type. More...
virtual OFCondition | setSamplesPerPixel (const Uint16 &value, const OFBool checkValue=OFTrue)
| Set Samples Per Pixel. More...
virtual OFCondition | setPhotometricInterpretation (const OFString &value, const OFBool checkValue=OFTrue)
| Set Photometric Interpretation. More...
virtual OFCondition | setBitsAllocated (const Uint16 &value, const OFBool checkValue=OFTrue)
| Set Bits Allocated. More...
virtual OFCondition | setBitsStored (const Uint16 &value, const OFBool checkValue=OFTrue)
| Set Bits Stored. More...
virtual OFCondition | setHighBit (const Uint16 &value, const OFBool checkValue=OFTrue)
| Set High Bit. More...
virtual OFCondition | setPresentationLUTShape (const OFString &value, const OFBool checkValue=OFTrue)
| Set Presentation LUT Shape. More...
virtual OFCondition | setLossyImageCompression (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression. More...
virtual OFCondition | setLossyImageCompressionRatio (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression Ratio. More...
virtual OFCondition | setLossyImageCompressionMethod (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression Method. More...
virtual OFCondition | setBurnedInAnnotation (const OFString &value, const OFBool checkValue=OFTrue)
| Set Burned In Annotation. More...
virtual OFCondition | setRecognizableVisualFeatures (const OFString &value, const OFBool checkValue=OFTrue)
| Set Recognizable Visual Features. More...
virtual OFCondition | setContentQualification (const OFString &value, const OFBool checkValue=OFTrue)
| Set ContentQualification. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Static Private Attributes
static const OFString | m_ModuleName
| The name of this module ("DPMParametricMapImageModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the Parametric Map Image Module:

ImageType: (CS, 2-n, 1) SamplesPerPixel: (US, 1, 1) PhotometricInterpretation: (CS, 1, 1) BitsAllocated: (US, 1, 1) BitsStored: (US, 1, 1C) HighBit: (US, 1, 1C) PresentationLUTShape: (CS, 1, 1) LossyImageCompression: (CS, 1, 1) LossyImageCompressionRatio: (DS, 1-n, 1C) LossyImageCompressionMethod: (CS, 1-n, 1C) BurnedInAnnotation: (CS, 1, 1) RecognizableVisualFeatures: (CS, 1, 1) ContentQualification: (CS, 1, 1)

## Constructor & Destructor Documentation

## ◆ DPMParametricMapImageModule()

DPMParametricMapImageModule::DPMParametricMapImageModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getBitsAllocated()

virtual OFCondition DPMParametricMapImageModule::getBitsAllocated | ( | Uint16 & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Bits Allocated.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getBitsStored()

virtual OFCondition DPMParametricMapImageModule::getBitsStored | ( | Uint16 & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Bits Stored.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getBurnedInAnnotation()

virtual OFCondition DPMParametricMapImageModule::getBurnedInAnnotation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Burned In Annotation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getContentQualification()

virtual OFCondition DPMParametricMapImageModule::getContentQualification | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Content Qualification.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getHighBit()

virtual OFCondition DPMParametricMapImageModule::getHighBit | ( | Uint16 & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get High Bit.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImageType()

virtual OFCondition DPMParametricMapImageModule::getImageType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Image Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompression()

virtual OFCondition DPMParametricMapImageModule::getLossyImageCompression | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Lossy Image Compression.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionMethod()

virtual OFCondition DPMParametricMapImageModule::getLossyImageCompressionMethod | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Lossy Image Compression Method.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionRatio()

virtual OFCondition DPMParametricMapImageModule::getLossyImageCompressionRatio | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Lossy Image Compression Ratio.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString DPMParametricMapImageModule::getName | ( |  | ) | const
| virtual

Get name of module ("DPMParametricMapImageModule")

Returns
  Name of the module ("DPMParametricMapImageModule")

Implements IODComponent.

## ◆ getPhotometricInterpretation()

virtual OFCondition DPMParametricMapImageModule::getPhotometricInterpretation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Photometric Interpretation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPresentationLUTShape()

virtual OFCondition DPMParametricMapImageModule::getPresentationLUTShape | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Presentation LUT Shape.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRecognizableVisualFeatures()

virtual OFCondition DPMParametricMapImageModule::getRecognizableVisualFeatures | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Recognizable Visual Features.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSamplesPerPixel()

virtual OFCondition DPMParametricMapImageModule::getSamplesPerPixel | ( | Uint16 & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Samples Per Pixel.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ read()

virtual OFCondition DPMParametricMapImageModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## ◆ setBitsAllocated()

virtual OFCondition DPMParametricMapImageModule::setBitsAllocated | ( | const Uint16 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Bits Allocated.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (US) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setBitsStored()

virtual OFCondition DPMParametricMapImageModule::setBitsStored | ( | const Uint16 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Bits Stored.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (US) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setBurnedInAnnotation()

virtual OFCondition DPMParametricMapImageModule::setBurnedInAnnotation | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Burned In Annotation.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setContentQualification()

virtual OFCondition DPMParametricMapImageModule::setContentQualification | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set ContentQualification.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setHighBit()

virtual OFCondition DPMParametricMapImageModule::setHighBit | ( | const Uint16 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set High Bit.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (US) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setImageType()

virtual OFCondition DPMParametricMapImageModule::setImageType | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Image Type.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (2-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompression()

virtual OFCondition DPMParametricMapImageModule::setLossyImageCompression | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Lossy Image Compression.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionMethod()

virtual OFCondition DPMParametricMapImageModule::setLossyImageCompressionMethod | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Lossy Image Compression Method.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionRatio()

virtual OFCondition DPMParametricMapImageModule::setLossyImageCompressionRatio | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Lossy Image Compression Ratio.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPhotometricInterpretation()

virtual OFCondition DPMParametricMapImageModule::setPhotometricInterpretation | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Photometric Interpretation.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPresentationLUTShape()

virtual OFCondition DPMParametricMapImageModule::setPresentationLUTShape | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Presentation LUT Shape.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setRecognizableVisualFeatures()

virtual OFCondition DPMParametricMapImageModule::setRecognizableVisualFeatures | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Recognizable Visual Features.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSamplesPerPixel()

virtual OFCondition DPMParametricMapImageModule::setSamplesPerPixel | ( | const Uint16 & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Samples Per Pixel.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (US) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition DPMParametricMapImageModule::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmpmap/include/dcmtk/dcmpmap/dpmmodparametricmapimage.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1